<?php
defined('JPATH_BASE') or die;

class ZLanguage extends JLanguage{

	protected $keys2files = array();
	protected $keys2exts = array();
	public $wordsElems = array();
	
	public function getZelement($key){
		if(isset($this->wordsElems[$key])) return $this->wordsElems[$key];
		else return false;
	}
	
	public function getZString($key,$default=''){
		if(isset($this->strings[$key])) $word = $this->strings[$key];
		else $word = '';
		return $word;
	}
	
	public function _($string, $jsSafe = false, $interpreteBackSlashes = true){
		if($string == '') return '';
		$key = strtoupper($string);
		if(isset($this->strings[$key])) {
			$string = $this->strings[$key];
		}
		if ($jsSafe) {
			$string = addslashes($string);
		}
		elseif ($interpreteBackSlashes) {
			$string = str_replace(array('\\\\','\t','\n'),array("\\", "\t","\n"),$string);
		}
		if(!$jsSafe&&isset($this->strings[$key])&&isset($this->keys2files[$key])){
			$file = $this->keys2files[$key];
			$ext = $this->keys2exts[$key];
			$elem = array(
				'file' => $file,
				'key' => $key,
				'ext' => $ext,
				'word' => $string
			);
			$this->wordsElems[] = $elem;
			//$string = '<span class="translateHelperWord" data-file="'.$file.'" data-zkey="'.$key.'" data-ext="'.$ext.'">'.$string.'</span>';
			$string = '<translatehelperword data-id='.(count($this->wordsElems)-1).' >';
		}

		return $string;
	}
		
	protected function loadLanguage($filename, $extension = 'unknown', $overwrite = true){
		if(file_exists($filename)) $strings = $this->parse($filename);
		if ($strings && is_array($strings)) {
			foreach($strings as $strKey=>$strVal){
				$filename = str_replace('\\','/',$filename);
				$this->keys2files[$strKey] = $filename;
				$this->keys2exts[$strKey] = $extension;
			}
		}
		return parent::loadLanguage($filename, $extension);
	}
}

